Freeciv-3.3: Data Fields

Freeciv-3.3

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - c -

- c : MD5_CTX, timer
- c_i_d : city_widget
- c_p_d : production_widget
- cache : unit_class, unit_type
- calc_size() : info_tile, notify_dialog
- calc_trade_routes() : mr_menu
- calculate() : trade_generator
- calculate_inner() : trade_generator
- calendar : civ_game
- calendar_fragment_name : packet_calendar_info
- calendar_fragments : packet_calendar_info
- calendar_skip_0 : packet_calendar_info
- call_meeting() : plr_report
- callback : call_me_back, callback, caravan_parameter, waiting_queue_data
- callback_data : caravan_parameter, option
- callback_list : mr_idle
- callbacks : civ_game, signal
- caller : fc_lua, mrc_listcmd_data
- caller_id : vote
- can : ss_report
- can_build_improvement : packet_web_city_info_addition
- can_build_unit : packet_web_city_info_addition
- can_do_cached_drawing : view
- can_reveal_tiles : vision
- can_see_move : unit_move_data
- can_see_unit : unit_move_data
- cancel : generate_packets.Packet, generate_packets.Variant, unit_hud_selector
- cancel_but : plr_report
- cancel_button : multipler_rates_dialog
- cancel_changes() : message_dlg
- cancel_icon : theme_icons
- cancel_pact_icon : theme_icons
- CANCEL_PATTERN : generate_packets.Packet
- cancel_pressed() : races_dialog
- cancel_treaty : diplo_wdg
- cancelling : packet_ruleset_trade, trade_route_settings
- canvas_copy : gui_funcs
- canvas_create : gui_funcs
- canvas_dx : animation
- canvas_dy : animation
- canvas_fill_sprite_area : gui_funcs
- canvas_free : gui_funcs
- canvas_mapview_init : gui_funcs
- canvas_put_curved_line : gui_funcs
- canvas_put_line : gui_funcs
- canvas_put_rectangle : gui_funcs
- canvas_put_sprite : gui_funcs
- canvas_put_sprite_fogged : gui_funcs
- canvas_put_sprite_full : gui_funcs
- canvas_put_sprite_full_scaled : gui_funcs
- canvas_put_text : gui_funcs
- canvas_set_zoom : gui_funcs
- capability : connection, packet_conn_info, packet_server_join_reply, packet_server_join_req, server
- capacity_city : ane_expl
- capital : city, packet_city_info, packet_city_short_info, vision_site
- caption : packet_page_msg
- caravan : cfbdw_data, cowt_data
- caravan_bonus_style : packet_game_info
- caravan_shields : city, packet_city_info
- cardinal_dirs : civ_map
- cardinal_tileset_dirs : tileset
- cardinals : named_sprites
- cargo : hud_unit_loader, packet_ruleset_unit, unit_type
- cargo_depth : pf_parameter
- cargo_types : pf_parameter
- carries_occupiers : unit_type_ai
- carrying : packet_unit_info, unit
- categories : option_dialog
- categories_num : packet_server_setting_control
- category : client_option, extra_type, option::option_common_vtable, option_dialog_optset, packet_ruleset_extra, packet_server_setting_const, server_option
- category_name : option_set, packet_endgame_report
- category_names : packet_server_setting_control
- category_num : packet_endgame_player, packet_endgame_report
- category_number : option_set
- category_score : packet_endgame_player
- cause : action_auto_perf, packet_ruleset_action_auto
- causes : extra_type, packet_ruleset_extra
- cb : chatwdg, effect_list_cb_data, effect_list_multiplier_data, menu_entry_info, req_def
- cb_type : call
- cbox : widget
- cbox_sell_icon : theme_icons
- cbox_unsell_icon : theme_icons
- celebrate : adv_data, ai_city
- celebratesize : packet_game_info
- cells : drawing_data::drawing_layer
- center() : city_widget
- center_me() : hud_text
- center_tile : hud_unit_combat
- center_when_popup_city : client_options
- central : mpgui_main, ruledit_gui, ruledit_main
- central_layout : fc_client
- central_left_splitter : city_dialog
- central_splitter : city_dialog
- central_wdg : fc_client
- cfg : generate_packets.Field, generate_packets.Packet, generate_packets.PacketsDefinition, generate_packets.Variant
- chain_len : text_edit
- challenge_file : packet_server_join_reply
- changable_tax : packet_game_info
- change : citizens_reduction
- change_cmd : worklist_data
- change_gov() : gov_menu
- change_home : unit_item
- change_homecity() : unit_item
- CHANGE_PROD_BEF_LAST : city_widget
- CHANGE_PROD_LAST : city_widget
- CHANGE_PROD_NEXT : city_widget
- CHANGE_PROD_NOW : city_widget
- change_production() : city_dialog
- change_production_store : city_dialog
- change_selection : city_dialog
- change_sex : nation_info
- changed : multiplier_value
- changed_callback : option
- changed_from : city, packet_unit_info, unit
- changed_from_count : packet_unit_info, unit
- changed_from_kind : packet_city_info
- changed_from_target : unit
- changed_from_tgt : packet_unit_info
- changed_from_value : packet_city_info
- changed_to_times : government
- char_value : cf_sequence
- charge : unit_ai
- chat : civ_game
- chat_active_on_page() : fc_client
- chat_dlg : CONNLIST
- chat_fheight : fc_settings
- chat_fwidth : fc_settings
- chat_fx_pos : fc_settings
- chat_fy_pos : fc_settings
- chat_input() : chat_input
- chat_line : chatwdg, fc_client
- chat_listener() : chat_listener
- chat_maximized : info_tab
- chat_message_received() : chat_listener, chatwdg, fc_client
- chat_output : chatwdg
- chat_status : mr_menu
- chat_word_list_changed() : chat_input, chat_listener
- chatwdg() : chatwdg
- check_if_done() : trade_generator
- check_if_exist() : fc_shortcut_popup
- check_server_scan() : fc_client
- checkbox_changed() : goto_dialog
- checked_plrbv : mapdef
- checkpoint : counter, packet_ruleset_counter, tab_counter
- checkpoint_given() : tab_counter
- child : gui_dialog
- choice : ai_city, ai_tech_choice, cm_state, texai_build_choice_req
- choice_dialog() : choice_dialog
- Choice_dialog_button() : Choice_dialog_button
- choose_building : ai_type
- chr : utf8_char
- chtwdg : info_tab
- chunk_length : packet_player_attribute_chunk
- cindex : cityresult
- cities : adv_data, player, player_score, texai_plr, trade_generator, world
- cities_selected() : city_widget
- citizen : citizen_set
- citizen_base : city, packet_city_info
- citizen_convert_speed : packet_game_info
- citizen_images : city_dialog
- citizen_nationality : packet_game_info
- citizen_partisans_pct : packet_game_info
- citizen_pics : city_dialog
- citizen_pixmap : city_dialog
- citizen_step : city_dialog
- citizen_surface : city_dialog
- citizens : city_dialog
- citizens_graphic : citystyle, packet_ruleset_city
- citizens_label : city_dialog
- city : city_score_entry, editor_sprites, named_sprites, packet_city_update_counters, packet_trade_route_info, packetdata, req_context, trade_city, widget
- city_alloc : ai_type
- city_buildings : city_dialog
- city_callbacks : agent
- city_center : cityresult
- city_changed() : city_model
- city_created : ai_type
- city_destroyed : ai_type
- city_dialog() : city_dialog
- city_dialog_is_open : gui_funcs
- city_doubleclick() : city_widget
- city_flag_offset_x : tileset
- city_flag_offset_y : tileset
- city_fontsize : fc_font
- city_free : ai_type
- city_geometry : fc_settings
- city_got : ai_type
- city_id : packet_city_buy, packet_city_change, packet_city_change_specialist, packet_city_make_specialist, packet_city_make_worker, packet_city_options_req, packet_city_refresh, packet_city_remove, packet_city_rename, packet_city_sabotage_list, packet_city_sell, packet_city_worklist, packet_investigate_finished, packet_investigate_started, packet_worker_task, texai_build_choice_req, texai_worker_task_req
- city_image : city, packet_city_info, packet_city_short_info, vision_site
- city_info : ai_type
- city_item() : city_item
- city_item_delegate() : city_item_delegate
- city_label() : city_label
- city_list : city_model, civ_game
- city_load : ai_type
- city_lost : ai_type
- city_map() : city_map
- city_model() : city_model
- city_name_edit : city_dialog
- city_offset_x : tileset
- city_offset_y : tileset
- city_ok : message
- city_options : city, packet_city_info, packet_edit_city
- city_production_delegate() : city_production_delegate
- city_production_model() : city_production_model
- city_radius_sq : city, cityresult, cm_result, packet_city_info
- city_rename() : city_dialog
- city_repo_sort_col : fc_settings
- city_report() : city_report
- city_report_sort : fc_settings
- city_save : ai_type
- city_size : packet_ruleset_unit, unit_type
- city_size_offset_x : tileset
- city_size_offset_y : tileset
- city_slots : packet_ruleset_unit, unit_type
- city_splitter1 : fc_settings
- city_splitter2 : fc_settings
- city_splitter3 : fc_settings
- city_target_list : city_production_model
- city_view() : city_widget
- city_wdg : city_report
- city_widget() : city_widget
- citybar : named_sprites
- citybar_offset_y : tileset
- citymindist : packet_game_info
- cityname_label : happiness_dialog
- citystatus : universals_u
- citytile : universals_u
- civil_war_bonus_celebrating : packet_game_info
- civil_war_bonus_unhappy : packet_game_info
- civil_war_enabled : packet_game_info
- civilwar_nations : nation_type
- civilwarsize : civ_game
- claimer : tile
- clause : packet_diplomacy_cancel_pact
- clauses : Treaty
- clear() : qfc_units_list, requirers_dlg
- clear_layout() : impr_info, unit_actions, unit_info, units_reports
- clear_selected() : req_edit
- clear_status_bar() : fc_client
- clear_trade_planing() : trade_generator
- clear_worklist() : city_dialog
- clear_worlist() : city_widget
- click_label() : click_label
- clicked() : progress_bar
- client : city, civ_game, connection, nation_type, player, research, unit
- client_gui : connection
- client_header_path : generate_packets.ScriptConfig
- client_impl_path : generate_packets.ScriptConfig
- client_settings : option_dialog
- client_vote : voteinfo
- close() : fix_enabler_item, happiness_dialog, helpeditor, req_vec_fix, req_vec_fix_item
- close_but : goto_dialog, notify_goto
- close_button : notify_goto_dialog
- close_connection_dialog : gui_funcs
- close_dlg() : goto_dialog
- close_fc() : fc_corner
- close_help() : values_dlg
- close_now() : conversion_log, effect_edit, helpeditor, req_edit, requirers_dlg
- close_pix : qfc_dialog
- close_widget() : close_widget, diplo_dlg
- closeEvent() : city_dialog, diplo_wdg, edit_extra, edit_impr, edit_tech, edit_terrain, edit_utype, effect_edit, fc_client, fc_shortcut_popup, help_dialog, mpgui_main, option_dialog, req_edit, ruledit_main, units_select
- closing() : fc_client
- closing_reason : connection
- clr() : messagewdg
- cls : generate_packets.MemoryType, generate_packets.NeedSizeType
- cm_parameter : city, packet_web_city_info_addition, packet_web_cma_set
- CMA : city_widget
- cma_celeb_checkbox : city_dialog
- cma_changed() : city_dialog
- cma_context_menu() : city_dialog
- cma_double_clicked() : city_dialog
- cma_editor : city_dialog
- cma_enable() : city_dialog
- cma_enable_but : city_dialog
- cma_enabled : packet_web_city_info_addition
- cma_icon : theme_icons
- cma_info_text : city_dialog
- cma_max_growth : city_dialog
- cma_remove() : city_dialog
- cma_result : city_dialog
- cma_result_pix : city_dialog
- cma_selected() : city_dialog
- cma_slider() : city_dialog
- cma_table : city_dialog
- cma_toggle_changed() : city_dialog
- cmd : unit_node, unit_select_dialog
- cmdarglist : cmdhelp
- cmdline : vote
- cmdname : cmdhelp
- cmp : option
- coast_strict : adv_data
- coastline : named_sprites
- code_delta_stats_report() : generate_packets.PacketsDefinition
- code_delta_stats_reset() : generate_packets.PacketsDefinition
- code_enum_packet() : generate_packets.PacketsDefinition
- code_packet_destroy() : generate_packets.PacketsDefinition
- code_packet_functional_capability() : generate_packets.PacketsDefinition
- code_packet_handlers_fill_capability() : generate_packets.PacketsDefinition
- code_packet_handlers_fill_initial() : generate_packets.PacketsDefinition
- code_packet_has_game_info_flag() : generate_packets.PacketsDefinition
- code_packet_name() : generate_packets.PacketsDefinition
- coint : city_icon
- collecting_info_units_present : city
- collecting_info_units_supported : city
- color : client_option, color, named_sprites, rgbacolor, rgbcolor, text_tag
- color_alloc : gui_funcs
- color_blue : packet_player_info, packet_ruleset_terrain
- color_changeable : packet_player_info, player
- color_free : gui_funcs
- color_green : packet_player_info, packet_ruleset_terrain
- color_index : city, unit
- color_red : packet_player_info, packet_ruleset_terrain
- color_system : theme, tileset
- color_valid : packet_player_info
- color_vtable : option
- colored : city, unit
- colors : named_sprites, theme_color_system
- colortest : mapdef
- column_id : objprop
- columnCount() : city_item, city_model, city_production_model, plr_item, plr_model, production_item
- combat_odds_scaled_veterancy : packet_game_info
- combined : pft_amphibious
- combo : named_sprites
- command_id : vote
- comment : effect, effect_edit, entry
- COMMENT_END_PATTERN : generate_packets.PacketsDefinition
- comment_given() : effect_edit
- COMMENT_START_PATTERN : generate_packets.PacketsDefinition
- common_header_path : generate_packets.ScriptConfig
- common_impl_path : generate_packets.ScriptConfig
- common_vtable : option
- compat : packet_ruleset_road, road_type, sf_cb_data
- compat_mode : rscompat_info
- complex() : generate_packets.ArrayType, generate_packets.Field, generate_packets.FieldType, generate_packets.Packet, generate_packets.StrvecType, generate_packets.Variant
- components : packet_spaceship_info, player_spaceship
- compression : connection
- concise_city_production : client_options
- condition() : generate_packets.Variant
- configure : CONNLIST
- confirm_disruptive_selection() : mr_menu
- conflicts : extra_type, packet_ruleset_extra
- conflicts_with : nation_type
- conjunction : pf_conjunction
- conn : civclient
- conn_id : packet_chat_msg, packet_conn_ping_info, packet_early_chat_msg, packet_server_join_reply, vote_cast
- connect : goto_map, named_sprites
- connect_confirm_password_edit : fc_client
- connect_host_edit : fc_client
- connect_lan : fc_client
- connect_login_edit : fc_client
- connect_metaserver : fc_client
- connect_password_edit : fc_client
- connect_port_edit : fc_client
- connections : packet_conn_ping_info, player
- connectmsg : civ_game
- conquercost : civ_game
- conquest_convert_pct : packet_game_info
- cons_msg : achievement
- consider_plr_dangerous : ai_type
- consider_tile_dangerous : ai_type
- consider_trade : caravan_parameter
- consider_windfall : caravan_parameter
- consider_wonder_city : ai_type
- consider_wonders : caravan_parameter
- constant() : generate_packets.SizeInfo
- cont : widget
- contact_turns_left : packet_player_diplstate, player_diplstate
- contactturns : civ_game
- contemplace_workers : dai_private_data
- content : player_score
- content_counter : gui_dialog
- context_menu() : city_map
- contextMenuEvent() : fc_sidewidget, unit_item
- continent : adv_data, packet_tile_info, tile
- continents : adv_data
- contras : obligatory_req
- control : civ_game, mem_fzFILE
- conversion_log() : conversion_log
- convert : named_sprites
- convert_time : packet_ruleset_unit, unit_type
- convert_trade : caravan_parameter
- converted_to : packet_ruleset_unit, unit_type
- cooler_drier_result : terrain
- cooler_wetter_result : terrain
- cooling : packet_game_info
- coolinglevel : packet_game_info
- coptions : loaddata
- copy : editor_sprites
- copybuf : editor_state
- copypaste : editor_sprites
- core_widget_list : option_dialog
- corner : named_sprites
- corner_wid : fc_client
- corruption : cityresult
- cost : advance, edit_tech, improvement_entry, packet_ruleset_tech, packet_unit_action_answer, pf_danger_node, pf_danger_node::pf_danger_pos, pf_fuel_node, pf_fuel_pos, pf_normal_node, unit_entry
- cost_pct : packet_ruleset_tech_class, tech_class
- cost_to_here : pf_fuel_node
- count : citizen_graphic, editor_tool, improvement_entry, mrc_sendclient_data, packet_city_update_counters, packet_edit_unit_create, packet_edit_unit_remove, packet_player_multiplier, pf_conjunction, property_filter, scroll_bar, sell_data, ttf_font_chain, unit_entry
- count_hbox : editinfobox
- count_spin_button : editinfobox
- countdown : ai_dip_intel
- counter : eco_report, loaddata, ruledit_gui, universals_u
- counter_behaviour_selected() : tab_counter
- counter_list : tab_counter
- counter_name() : tab_counter
- counter_values : city
- counterpart : packet_diplomacy_accept_treaty, packet_diplomacy_accept_treaty_req, packet_diplomacy_cancel_meeting, packet_diplomacy_cancel_meeting_req, packet_diplomacy_create_clause, packet_diplomacy_create_clause_req, packet_diplomacy_init_meeting, packet_diplomacy_init_meeting_req, packet_diplomacy_remove_clause, packet_diplomacy_remove_clause_req
- counters : packet_city_update_counters
- counting : finger_behavior, mouse_button_behavior
- cpunits : disband_box
- cr : city_widget
- create() : go_act_menu, gov_menu
- create_actions() : unit_item
- create_all() : gov_menu
- create_cursors() : fc_client
- create_extra : functions
- create_game_page() : fc_client
- create_load_page() : fc_client
- create_loading_page() : fc_client
- create_main_page() : fc_client
- create_network_page() : fc_client
- create_pixmap() : units_select
- create_region() : progress_bar
- create_requirers() : ruledit_gui
- create_scenario_page() : fc_client
- create_sprite : gui_funcs
- create_start_page() : fc_client
- create_terrain_widget() : help_widget
- create_tooltip_help() : research_diagram
- created_by_civil_war : ai_type
- crop_sprite : gui_funcs
- cruleset : pregame_options
- cs1 : hud_input_box, hud_message_box
- cs2 : hud_input_box, hud_message_box
- cultivate : named_sprites
- cultivate_result : packet_ruleset_terrain, terrain
- cultivate_time : packet_ruleset_terrain, terrain
- culture : achievement, city, packet_city_info, packet_player_info, player, player_score
- culture_migration_pml : packet_game_info
- culture_vic_lead : packet_game_info
- culture_vic_points : packet_game_info
- cur_line : inputfile
- cur_line_pos : inputfile
- cur_pos : unit_ai
- cur_struct : unit_ai
- curr_impr : city_dialog
- curr_list : science_report
- curr_options : option_dialog
- curr_player : diplo_wdg
- curr_row : eco_report
- curr_selection : production_widget
- curr_tr_cities : trade_city
- curr_units : city_dialog
- current : advance_req_iter, advance_root_req_iter, cm_state, data_in, pbar_data, raw_data_out
- current_building : city_dialog
- current_changed() : fc_game_tab_widget
- current_conn : player
- current_enabler : fix_enabler_item
- current_file : fc_client
- current_form_turn : packet_unit_info, unit
- current_max : fc_double_edge
- current_min : fc_double_edge
- current_page() : fc_client
- current_problem : req_vec_fix
- current_problem_area : req_vec_fix
- current_problem_viewer : req_vec_fix
- current_tech_changed() : science_report
- current_tile : editor_state, hud_units
- current_unit : unit_actions
- current_units : city_dialog
- current_want : ai_tech_choice
- current_word_list() : chat_listener
- currently_building : wl_editor
- currently_processed_request_id : connection
- cursor : color_cursor, info_tab, map_view, minimap_view, named_sprites, notify_dialog
- cursor_frame : map_view
- cursor_pix : fc_double_edge
- cursor_size : fc_double_edge
- custom_label : fc_sidewidget
- cutted_height : city_map
- cutted_width : city_map
- cw : notify_dialog, units_reports, units_select
- cwidth : city_dialog